Main Page Modules Class Hierarchy Compound List File List Compound Members

# NEDCompiler Class Reference

`#include <nedcompiler.h>`

List of all members.

## Public Methods

| NEDCompiler (NEDFileCache *fcache, NEDSymbolTable *symtab, NEDImportResolver *importres)
virtual | ~NEDCompiler ()
void | validate (NEDElement *tree)

## Protected Methods

void | addImport (const char *name)
bool | isImported (const char *name)
void | doValidate (NEDElement *tree)

## Protected Attributes

NEDMap | imports
NEDFileCache* | filecache
NEDSymbolTable* | symboltable
NEDImportResolver* | importresolver

## Detailed Description

Manages the "middle" part of the compilation process for NED. The process actually involves DTD and syntactic validation of the input, loading (and recursively validating) imports, and semantically validating the input (if module types exist, etc.).

NEDCompiler does _not_ do parsing (only for the imports, via the importresolver, but the main file it already receives a NED object tree form). Code (i.e. C++) generation is also not covered.

## Constructor & Destructor Documentation

NEDCompiler::NEDCompiler ( | NEDFileCache * fcache,
| NEDSymbolTable * symtab,
| NEDImportResolver * importres )

| Constructor.

NEDCompiler::~NEDCompiler ( | )`[virtual]`

| Destructor

## Member Function Documentation

void NEDCompiler::validate ( | NEDElement * tree )

| MISSINGDOC

The documentation for this class was generated from the following file:

- nedcompiler.h